#!/bin/bash

if [ "$1" == "" ]; then
    VERSION=$(cd .. && ./fullversion.sh)
else
    VERSION=$1
fi

cat > constants.go <<EOF
package version

// Version is the xbus version
const Version = "$VERSION"

// BuildNumber is the drone build number
const BuildNumber = "$DRONE_BUILD_NUMBER"

// CommitHash is the full mercurial cset id
const CommitHash = "$(hg --debug id --id |tail -n 1)"
EOF
